org.springframework.batch.sample.jsr352

## Class JsrSampleTasklet

- java.lang.Object
- - org.springframework.batch.sample.jsr352.JsrSampleTasklet

- All Implemented Interfaces:
    Tasklet

      public class JsrSampleTasklet
      extends java.lang.Object
      implements Tasklet

  Sample `Tasklet` implementation.

  Since:
    3.0
  Author:
    Chris Schaefer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrSampleTasklet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepeatStatus` | `execute(StepContribution stepContribution, ChunkContext chunkContext)` Given the current context in the form of a step contribution, do whatever is necessary to process this unit inside a transaction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrSampleTasklet

          public JsrSampleTasklet()

  - ### Method Detail

    - #### execute

          public RepeatStatus execute(StepContribution stepContribution,
                                      ChunkContext chunkContext)
                               throws java.lang.Exception

      Description copied from interface: `Tasklet`
      Given the current context in the form of a step contribution, do whatever is necessary to process this unit inside a transaction. Implementations return `RepeatStatus.FINISHED` if finished. If not they return `RepeatStatus.CONTINUABLE`. On failure throws an exception.
      Specified by:
        `execute` in interface `Tasklet`
      Parameters:
        `stepContribution` - mutable state to be passed back to update the current step execution
        `chunkContext` - attributes shared between invocations but not between restarts
      Returns:
        an `RepeatStatus` indicating whether processing is continuable.
      Throws:
        `java.lang.Exception`